## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanAutoPtr Template Class Reference

`#include <XalanAutoPtr.hpp>`

List of all members.

## Public Methods

- XalanAutoPtr (Type* thePointer = 0)
- XalanAutoPtr (const XalanAutoPtr<Type>& theSource)
- XalanAutoPtr<Type>& operator= (XalanAutoPtr<Type>& theRHS)
- ~XalanAutoPtr ()
- Type& operator * () const
- Type* operator- > () const
- Type* get () const
- Type* release ()
- void reset (Type* thePointer = 0)

## Constructor & Destructor Documentation

template<classType>
XalanAutoPtr<Type>::XalanAutoPtr<Type> ( | Type * thePointer = 0 )

template<classType>
XalanAutoPtr<Type>::XalanAutoPtr<Type> ( | const XalanAutoPtr< Type >& theSource )

template<classType>
XalanAutoPtr<Type>::~XalanAutoPtr<Type> ( | )`[]`

## Member Function Documentation

template<classType>
Type * XalanAutoPtr<Type>::get ( | ) const`[]`

template<classType>
Type & XalanAutoPtr<Type>::operator * ( | ) const`[]`

template<classType>
Type * XalanAutoPtr<Type>::operator- > ( | ) const`[]`

template<classType>
XalanAutoPtr< Type >& XalanAutoPtr<Type>::operator=<Type> ( | XalanAutoPtr< Type >& theRHS )`[]`

template<classType>
Type * XalanAutoPtr<Type>::release ( | )`[]`

template<classType>
void XalanAutoPtr<Type>::reset ( | Type * thePointer = 0 )`[]`

The documentation for this class was generated from the following file:

- XalanAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.